org.appng.core.controller.messaging

## Class HazelcastSender

- java.lang.Object
- - org.appng.core.controller.messaging.HazelcastSender

- All Implemented Interfaces:
    Sender

      public class HazelcastSender
      extends Object
      implements Sender

  A `Sender` that uses a reliable topic for sending `Event`s.
  Author:
    Matthias Müller
  See Also:
    `HazelcastInstance.getReliableTopic(String)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.hazelcast.core.HazelcastInstance` | `instance`
    `protected Serializer` | `serializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HazelcastSender(com.hazelcast.core.HazelcastInstance instance)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HazelcastSender` | `configure(Serializer serializer)` Configures this sender with the given `Serializer`
    `protected com.hazelcast.topic.ITopic<byte[]>` | `getTopic()`
    `protected String` | `getTopicName()`
    `protected org.slf4j.Logger` | `logger()`
    `boolean` | `send(Event event)` Sends the given `Event`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          protected com.hazelcast.core.HazelcastInstance instance

    - #### serializer

          protected Serializer serializer

  - ### Constructor Detail

    - #### HazelcastSender

          public HazelcastSender(com.hazelcast.core.HazelcastInstance instance)

  - ### Method Detail

    - #### configure

          public HazelcastSender configure(Serializer serializer)

      Description copied from interface: `Sender`
      Configures this sender with the given `Serializer`
      Specified by:
        `configure` in interface `Sender`
      Parameters:
        `serializer` - the `Serializer` to use
      Returns:
        the sender

    - #### send

          public boolean send(Event event)

      Description copied from interface: `Sender`
      Sends the given `Event`
      Specified by:
        `send` in interface `Sender`
      Parameters:
        `event` - the `Event` so send
      Returns:
        whether or not sending the event was successful

    - #### logger

          protected org.slf4j.Logger logger()

    - #### getTopic

          protected com.hazelcast.topic.ITopic<byte[]> getTopic()

    - #### getTopicName

          protected String getTopicName()

Copyright © 2011–2023 aiticon GmbH. All rights reserved.